org.omg.CORBA.ORBPackage

## Class InvalidName

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.CORBA.ORBPackage.InvalidName

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class InvalidName
    extends UserException

The `InvalidName` exception is raised when `ORB.resolve_initial_references` is passed a name for which there is no initial reference.

Since:
  JDK1.2
See Also:
  `ORB.resolve_initial_references(String)`

### Constructor Summary

Constructors
Constructor and Description
`InvalidName()` Constructs an `InvalidName` exception with no reason message.
`InvalidName(String reason)` Constructs an `InvalidName` exception with the specified reason message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidName

    public InvalidName()

Constructs an `InvalidName` exception with no reason message.

#### InvalidName

    public InvalidName(String reason)

Constructs an `InvalidName` exception with the specified reason message.

Parameters:
  `reason` - the String containing a reason message

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.